<?php
session_start();

require "conexao.php";
require_once "../gerador/MysqlConsulta.php";

$MysqlConsulta = new MysqlConsulta();

$usuario1 = filter_input(INPUT_POST, "user");
$usuario = strtolower($usuario1);

$senha = filter_input(INPUT_POST, "ps");

//$loja = filter_input(INPUT_POST, 'loja');
$loja = $MysqlConsulta->LoginLoja($usuario, $conexao);

if (!empty($usuario) and !empty($senha)) {
    //Gerar a senha criptografa
    //echo password_hash($senha, PASSWORD_DEFAULT);
    //Pesquisar o usuário no BD
    $result_usuario = "SELECT id, usuario, senha FROM usuarios WHERE usuario='$usuario' LIMIT 1";
    $resultado_usuario = mysqli_query($conexao, $result_usuario);
    if ($resultado_usuario) {
        $row_usuario = mysqli_fetch_assoc($resultado_usuario);
        if (password_verify($senha, $row_usuario["senha"])) {
            $_SESSION["id"] = $row_usuario["id"];
            $_SESSION["usuario"] = $row_usuario["usuario"];
            $_SESSION["loja"] = $loja;

            header("Location: ../index.php");
        } else {
            $_SESSION["msg"] =
                "<div class='alert alert-danger'><span class='glyphicon glyphicon-remove remove' aria-hidden='true'></span> Usuário ou senha incorreto!</div>";
            header("Location: ../login.php");
        }
    }
} else {
    $_SESSION["msg"] =
        "<div class='alert alert-danger'><span class='glyphicon glyphicon-remove remove' aria-hidden='true'></span> Usuário ou senha incorreto!</div>";
    header("Location: ../login.php");
}
